Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#39899 - [cinnamon] 2.2 - Unable to load to desktop

Attached to Project: Community Packages
Opened by Ron Asimi (madscience) - Wednesday, 16 April 2014, 12:31 GMT
Last edited by Balló György (City-busz) - Thursday, 17 April 2014, 21:16 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Alexandre Filgueira (faidoc)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description: After most recent upgrade, unable to load cinnamon desktop via display manager, gray screen with mouse pointer - https://bbs.archlinux.org/viewtopic.php?id=180061


Additional info:

Initially, I did a -Syu, rebooted and was unable to get to the cinnamon desktop successfully

So, I added the following to pacman.conf -

IgnorePkg = cinnamon* muffin* nemo*

and this is the list of packages I allowed to upgrade -

:: Synchronizing package databases...
core is up to date
extra is up to date
community is up to date
multilib is up to date
infinality-bundle is up to date
infinality-bundle-multilib is up to date
Foreign packages: / 29 / 29

==> Package upgrade only (new release):
core/libsystemd 212-2 2 -> 3
core/systemd 212-2 2 -> 3
core/logrotate 3.8.7-1 1 -> 3
core/mlocate 0.26-1 1 -> 3
core/shadow 4.1.5.1-7 7 -> 9
core/systemd-sysvcompat 212-2 2 -> 3
extra/mesa 10.1.0-4 4 -> 5
extra/pango 1.36.3-1 1 -> 2
extra/clutter-gst 2.0.10-1 1 -> 2
extra/gthumb 3.2.7-1 1 -> 2
extra/libreoffice-en-US 4.2.3-1 1 -> 2
extra/libreoffice-common 4.2.3-1 1 -> 2
extra/libreoffice-base 4.2.3-1 1 -> 2
extra/libreoffice-calc 4.2.3-1 1 -> 2
extra/libreoffice-draw 4.2.3-1 1 -> 2
extra/libreoffice-gnome 4.2.3-1 1 -> 2
extra/libreoffice-impress 4.2.3-1 1 -> 2
extra/libreoffice-math 4.2.3-1 1 -> 2
extra/libreoffice-writer 4.2.3-1 1 -> 2
extra/pkgstats 2.3-3 3 -> 5
extra/polkit 0.112-1 1 -> 2

==> Software upgrade (new version) :
core/glib2 2.38.2-1 -> 2.40.0-1
core/device-mapper 2.02.105-2 -> 2.02.106-1
core/iproute2 3.12.0-1 -> 3.14.0-1
core/linux 3.14-4 -> 3.14.1-1
core/lvm2 2.02.105-2 -> 2.02.106-1
core/man-db 2.6.6-1 -> 2.6.7.1-1
extra/at-spi2-core 2.10.2-1 -> 2.12.0-1
extra/atk 2.10.0-1 -> 2.12.0-1
extra/at-spi2-atk 2.10.2-1 -> 2.12.0-1
extra/gobject-introspection 1.38.0-1 -> 1.40.0-1
extra/gdk-pixbuf2 2.30.6-1 -> 2.30.7-1
extra/cogl 1.16.2-1 -> 1.18.0-1
extra/json-glib 0.16.2-1 -> 1.0.0-1
extra/clutter 1.16.4-3 -> 1.18.0-1
extra/gtk-update-icon-cache 2.24.22-1 -> 2.24.23-1
extra/libcups 1.7.1-4 -> 1.7.2-1
extra/gtk3 3.10.7-1 -> 3.12.1-1
extra/clutter-gtk 1.4.4-4 -> 1.5.2-1
extra/cups 1.7.1-4 -> 1.7.2-1
extra/dconf 0.18.0-1 -> 0.20.0-1
extra/gnome-icon-theme-symbolic 3.10.1-1 -> 3.12.0-1
extra/gnome-icon-theme 3.10.0-1 -> 3.12.0-1
extra/libsecret 0.16-2 -> 0.18-1
extra/gsettings-desktop-schemas 3.10.1-1 -> 3.12.0-1
extra/evince 3.10.3-1 -> 3.12.1-1
extra/file-roller 3.10.2.1-1 -> 3.12.1-1
extra/fontsproto 2.1.2-1 -> 2.1.3-1
extra/gcr 3.10.1-3 -> 3.12.0-1
extra/gtksourceview3 3.10.2-1 -> 3.12.1-1
extra/libpeas 1.9.0-2 -> 1.10.0-1
extra/pygobject-devel 3.10.2-2 -> 3.12.0-1
extra/python-gobject 3.10.2-2 -> 3.12.0-1
extra/gedit 3.10.4-2 -> 3.12.1-1
extra/gnutls 3.2.13-1 -> 3.3.0-1
extra/glib-networking 2.38.2-1 -> 2.40.1-1
extra/gnome-common 3.10.0-1 -> 3.12.0-1
extra/gnome-keyring 3.10.1-2 -> 3.12.0-1
extra/gnome-screenshot 3.10.1-1 -> 3.12.0-1
extra/gnome-themes-standard 3.10.0-1 -> 3.12.0-1
extra/libsoup 2.44.2-1 -> 2.46.0-1
extra/xorg-server-common 1.15.0-5 -> 1.15.1-1
extra/xorg-server 1.15.0-5 -> 1.15.1-1
extra/nvidia-utils 334.21-7 -> 337.12-1
extra/nvidia-libgl 334.21-7 -> 337.12-1
extra/webkitgtk 2.2.5-2 -> 2.4.0-1
extra/gtk2 2.24.22-1 -> 2.24.23-1
extra/gucharmap 3.10.1-1 -> 3.12.0-1
extra/gvfs 1.18.3-3 -> 1.20.1-2
extra/libplist 1.10-1 -> 1.11-1
extra/libimobiledevice 1.1.5-2 -> 1.1.6-1
extra/gvfs-afc 1.18.3-3 -> 1.20.1-2
extra/gvfs-mtp 1.18.3-3 -> 1.20.1-2
extra/gvfs-smb 1.18.3-3 -> 1.20.1-2
extra/lcms2 2.5-2 -> 2.6-1
extra/imagemagick 6.8.8.9-1 -> 6.8.9.0-1
extra/js 17.0.0-1 -> 24.2.0-1
extra/libgee 0.12.0-1 -> 0.14.0-1
extra/libgnome-keyring 3.10.1-2 -> 3.12.0-1
extra/libtracker-sparql 0.16.4-1 -> 1.0.0-2
extra/nvidia 334.21-4 -> 337.12-1
extra/python2-gobject 3.10.2-2 -> 3.12.0-1
extra/python2-atspi 2.10.0-2 -> 2.12.0-1
extra/upower 0.9.23-2 -> 0.99.0-2
extra/usbmuxd 1.0.8-2 -> 1.0.9-1
extra/vte-common 0.34.9-1 -> 0.36.0-1
extra/vte3 0.34.9-1 -> 0.36.0-1
extra/webkitgtk2 2.2.5-2 -> 2.4.0-1
extra/xproto 7.0.25-1 -> 7.0.26-1
community/cjs 2.0.0-1 -> 2.2.0-1
community/python2-pillow 2.3.1-2 -> 2.4.0-1
multilib/lib32-pcre 8.34-1 -> 8.35-1
multilib/lib32-glib2 2.38.2-1 -> 2.40.0-1
multilib/lib32-nvidia-utils 334.21-5 -> 337.12-1
multilib/lib32-nvidia-libgl 334.21-5 -> 337.12-1
aur/jdk7 7.51-2 -> 7.55-1

==> New package :
extra/libinput 0.1.0-1 (required by clutter)
extra/libusbmuxd 1.0.9-1 (required by libimobiledevice)
extra/js17 17.0.0-1 (required by polkit)


and I still had the same issue with the gray screen after login. I'm willing to test fixes, as I'm on btrfs with snapshots of /


Steps to reproduce: pacman -Syu
This task depends upon

Closed by  Balló György (City-busz)
Thursday, 17 April 2014, 21:16 GMT
Reason for closing:  Won't fix
Additional comments about closing:  MDM is unsupported
Comment by Balló György (City-busz) - Thursday, 17 April 2014, 12:13 GMT
1. Which display manager do you use?
2. Which video driver do you use?
3. Please try to launch the 'Cinnamon (Software Rendering)' session, and post the results.
Comment by Ron Asimi (madscience) - Thursday, 17 April 2014, 12:35 GMT
1. I'm using MDM
local/mdm-display-manager 1.5.1-3
The MDM Display Manager
2. Nvidia proprietary
local/lib32-libvdpau 0.7-2
Nvidia VDPAU library
local/lib32-nvidia-libgl 337.12-1
NVIDIA drivers libraries symlinks (32-bit)
local/lib32-nvidia-utils 337.12-1
NVIDIA drivers utilities (32-bit)
local/libcl 1.1-3
OpenCL library and ICD loader from NVIDIA
local/libvdpau 0.7-1
Nvidia VDPAU library
local/nvidia 337.12-1
NVIDIA drivers for linux
local/nvidia-libgl 337.12-1
NVIDIA drivers libraries symlinks
local/nvidia-utils 337.12-1
NVIDIA drivers utilities
3. Same result using 'Cinnamon (Software Rendering)'

I don't want to muddy the waters, but see: https://github.com/linuxmint/mdm/issues/32

I'm going to do the upgrade again, and try with the suggested pam.d rules, I'll post here w/ results.
Comment by Ron Asimi (madscience) - Thursday, 17 April 2014, 12:56 GMT
pam.d rules didn't work... I've attached a picture of my journald output (sorry, not a screenshot) but the flash reflection is obscuring the mdm-binary line a little.
Comment by Balló György (City-busz) - Thursday, 17 April 2014, 13:00 GMT
MDM is not officially supported by Arch Linux. Please use another display manager.

Loading...